読者です 読者をやめる 読者になる 読者になる

@toshiyuki83 Webサービス更新履歴&技術情報

PHP(FuelPHP)とかJavaScript(TitaniumMobile)とか、Webサービス情報など

Hpricotインストールできない問題(makeのインストール)

Ruby

●環境
windows xp
Ruby1.8.6

サブサブパソコンにHpricotをインストールしようし、
いろいろ記事を読んだところ、下げたバーションのほうが動きやすいという記事を読み、
下記コマンドでインストールを実行。

gem install hpricot --version "< 0.8.0"

しかし、makeができないとのエラー。

makeの解決方法はいろいろあるらしいけど、最も簡単なようなのを発見。

http://rubyinstaller.org/downloads/
のDEVELOPMENT KITインストールで解決した。


http://rubyinstaller.org/downloads/ を開き、「DEVELOPMENT KIT」セクションにある最新の .exe ファイル(自己展開型圧縮データ)をダウンロード。
ダウンロードしたファイルをダブルクリックし、展開(解凍)先のフォルダとして「C:\DevKit」と指定する。
コマンドプロンプトを開き、以下のコマンドを順に実行する。
cd \DevKit
ruby dk.rb init
ruby dk.rb install

http://www.oiax.jp/rails/rails3/authentication1.html

(感想)
しかし(僕の検索方法が悪かったのかもしれないけど)、内容究明に約1時間ぐらいかかったし、解決方法に対して、統一的な話も見えづらかった。プログラムで1歩進むのは、とても時間がかかる。

やはりこういうところがプログラムに対して、何も知らない人との壁は高くなってしまうな、、、って思った。特にRubyの話で、PHPは情報多いからなんとかなるけど、RubyRailsのときの情報の少なさといえば、大抵困る。

細々としたブログはいっぱいあるけど、どれが、正しい情報か僕のレベルだとやってみなければ、わからない。。。(森を探検している気持ち)